## WebKitDOMHTMLTableCellElement

WebKitDOMHTMLTableCellElement

## Functions

glong | webkit_dom_html_table_cell_element_get_cell_index ()
gchar * | webkit_dom_html_table_cell_element_get_abbr ()
void | webkit_dom_html_table_cell_element_set_abbr ()
gchar * | webkit_dom_html_table_cell_element_get_align ()
void | webkit_dom_html_table_cell_element_set_align ()
gchar * | webkit_dom_html_table_cell_element_get_axis ()
void | webkit_dom_html_table_cell_element_set_axis ()
gchar * | webkit_dom_html_table_cell_element_get_bg_color ()
void | webkit_dom_html_table_cell_element_set_bg_color ()
gchar * | webkit_dom_html_table_cell_element_get_ch ()
void | webkit_dom_html_table_cell_element_set_ch ()
gchar * | webkit_dom_html_table_cell_element_get_ch_off ()
void | webkit_dom_html_table_cell_element_set_ch_off ()
glong | webkit_dom_html_table_cell_element_get_col_span ()
void | webkit_dom_html_table_cell_element_set_col_span ()
gchar * | webkit_dom_html_table_cell_element_get_headers ()
void | webkit_dom_html_table_cell_element_set_headers ()
gchar * | webkit_dom_html_table_cell_element_get_height ()
void | webkit_dom_html_table_cell_element_set_height ()
gboolean | webkit_dom_html_table_cell_element_get_no_wrap ()
void | webkit_dom_html_table_cell_element_set_no_wrap ()
glong | webkit_dom_html_table_cell_element_get_row_span ()
void | webkit_dom_html_table_cell_element_set_row_span ()
gchar * | webkit_dom_html_table_cell_element_get_scope ()
void | webkit_dom_html_table_cell_element_set_scope ()
gchar * | webkit_dom_html_table_cell_element_get_v_align ()
void | webkit_dom_html_table_cell_element_set_v_align ()
gchar * | webkit_dom_html_table_cell_element_get_width ()
void | webkit_dom_html_table_cell_element_set_width ()

## Properties

gchar * | abbr | Read / Write
gchar * | align | Read / Write
gchar * | axis | Read / Write
gchar * | bg-color | Read / Write
glong | cell-index | Read
gchar * | ch | Read / Write
gchar * | ch-off | Read / Write
glong | col-span | Read / Write
gchar * | headers | Read / Write
gchar * | height | Read / Write
gboolean | no-wrap | Read / Write
glong | row-span | Read / Write
gchar * | scope | Read / Write
gchar * | v-align | Read / Write
gchar * | width | Read / Write

## Types and Values

| WebKitDOMHTMLTableCellElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLTableCellElement

## Implemented Interfaces

WebKitDOMHTMLTableCellElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_table_cell_element_get_cell_index ()

    glong
    webkit_dom_html_table_cell_element_get_cell_index
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A glong

### webkit_dom_html_table_cell_element_get_abbr ()

    gchar *
    webkit_dom_html_table_cell_element_get_abbr
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_abbr ()

    void
    webkit_dom_html_table_cell_element_set_abbr
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_align ()

    gchar *
    webkit_dom_html_table_cell_element_get_align
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_align ()

    void
    webkit_dom_html_table_cell_element_set_align
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_axis ()

    gchar *
    webkit_dom_html_table_cell_element_get_axis
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_axis ()

    void
    webkit_dom_html_table_cell_element_set_axis
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_bg_color ()

    gchar *
    webkit_dom_html_table_cell_element_get_bg_color
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_bg_color ()

    void
    webkit_dom_html_table_cell_element_set_bg_color
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_ch ()

    gchar *
    webkit_dom_html_table_cell_element_get_ch
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_ch ()

    void
    webkit_dom_html_table_cell_element_set_ch
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_ch_off ()

    gchar *
    webkit_dom_html_table_cell_element_get_ch_off
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_ch_off ()

    void
    webkit_dom_html_table_cell_element_set_ch_off
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_col_span ()

    glong
    webkit_dom_html_table_cell_element_get_col_span
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A glong

### webkit_dom_html_table_cell_element_set_col_span ()

    void
    webkit_dom_html_table_cell_element_set_col_span
                                   (WebKitDOMHTMLTableCellElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A glong |

### webkit_dom_html_table_cell_element_get_headers ()

    gchar *
    webkit_dom_html_table_cell_element_get_headers
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_headers ()

    void
    webkit_dom_html_table_cell_element_set_headers
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_height ()

    gchar *
    webkit_dom_html_table_cell_element_get_height
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_height ()

    void
    webkit_dom_html_table_cell_element_set_height
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_no_wrap ()

    gboolean
    webkit_dom_html_table_cell_element_get_no_wrap
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gboolean

### webkit_dom_html_table_cell_element_set_no_wrap ()

    void
    webkit_dom_html_table_cell_element_set_no_wrap
                                   (WebKitDOMHTMLTableCellElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gboolean |

### webkit_dom_html_table_cell_element_get_row_span ()

    glong
    webkit_dom_html_table_cell_element_get_row_span
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A glong

### webkit_dom_html_table_cell_element_set_row_span ()

    void
    webkit_dom_html_table_cell_element_set_row_span
                                   (WebKitDOMHTMLTableCellElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A glong |

### webkit_dom_html_table_cell_element_get_scope ()

    gchar *
    webkit_dom_html_table_cell_element_get_scope
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_scope ()

    void
    webkit_dom_html_table_cell_element_set_scope
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_v_align ()

    gchar *
    webkit_dom_html_table_cell_element_get_v_align
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_v_align ()

    void
    webkit_dom_html_table_cell_element_set_v_align
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

### webkit_dom_html_table_cell_element_get_width ()

    gchar *
    webkit_dom_html_table_cell_element_get_width
                                   (WebKitDOMHTMLTableCellElement *self);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |

#### Returns

A gchar

### webkit_dom_html_table_cell_element_set_width ()

    void
    webkit_dom_html_table_cell_element_set_width
                                   (WebKitDOMHTMLTableCellElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableCellElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLTableCellElement

    typedef struct _WebKitDOMHTMLTableCellElement WebKitDOMHTMLTableCellElement;

## Property Details

### The `“abbr”` property

      “abbr”                     gchar *

read-write gchar* HTMLTableCellElement:abbr.

Flags: Read / Write

Default value: ""

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLTableCellElement:align.

Flags: Read / Write

Default value: ""

### The `“axis”` property

      “axis”                     gchar *

read-write gchar* HTMLTableCellElement:axis.

Flags: Read / Write

Default value: ""

### The `“bg-color”` property

      “bg-color”                 gchar *

read-write gchar* HTMLTableCellElement:bg-color.

Flags: Read / Write

Default value: ""

### The `“cell-index”` property

      “cell-index”               glong

read-only glong HTMLTableCellElement:cell-index.

Flags: Read

Default value: 0

### The `“ch”` property

      “ch”                       gchar *

read-write gchar* HTMLTableCellElement:ch.

Flags: Read / Write

Default value: ""

### The `“ch-off”` property

      “ch-off”                   gchar *

read-write gchar* HTMLTableCellElement:ch-off.

Flags: Read / Write

Default value: ""

### The `“col-span”` property

      “col-span”                 glong

read-write glong HTMLTableCellElement:col-span.

Flags: Read / Write

Default value: 0

### The `“headers”` property

      “headers”                  gchar *

read-write gchar* HTMLTableCellElement:headers.

Flags: Read / Write

Default value: ""

### The `“height”` property

      “height”                   gchar *

read-write gchar* HTMLTableCellElement:height.

Flags: Read / Write

Default value: ""

### The `“no-wrap”` property

      “no-wrap”                  gboolean

read-write gboolean HTMLTableCellElement:no-wrap.

Flags: Read / Write

Default value: FALSE

### The `“row-span”` property

      “row-span”                 glong

read-write glong HTMLTableCellElement:row-span.

Flags: Read / Write

Default value: 0

### The `“scope”` property

      “scope”                    gchar *

read-write gchar* HTMLTableCellElement:scope.

Flags: Read / Write

Default value: ""

### The `“v-align”` property

      “v-align”                  gchar *

read-write gchar* HTMLTableCellElement:v-align.

Flags: Read / Write

Default value: ""

### The `“width”` property

      “width”                    gchar *

read-write gchar* HTMLTableCellElement:width.

Flags: Read / Write

Default value: ""